#include<iostream.h>
#include<iomanip.h>
 int main()
{
 float f,p,w,s,d;
 cout<<"请输入基本运费、货物重量和距离："<<endl;
 cin>>p>>w>>s;
 if(s<250)
  d=0;
 else if(s<500)
  d=0.02;
 else if(s<1000)
  d=0.05;
 else if(s<2000)
  d=0.08;
 else if(s<3000)
  d=0.1;
 else
  d=0.15;
 f=p*w*s*(1-d);
 cout<<"f="<<setw(7)<<setprecision(6)<<f<<endl;
 return(0);
}